package model;

import java.io.Serializable;

public class ProductForCart implements Serializable{
	private static final long serialVersionUID = 2L;
    private String id;
    private String name;
    private String image;
    private double price;
    private String status;

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public ProductForCart(String id, String name, String image, double price,
			String status) {
		super();
		this.id = id;
		this.name = name;
		this.image = image;
		this.price = price;
		this.status = status;
	}

	public ProductForCart(String id, String name, String image, double price) {
		super();
		this.id = id;
		this.name = name;
		this.image = image;
		this.price = price;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

	public double getPrice() {
		return price;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	@Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final ProductForCart other = (ProductForCart) obj;
        if ((this.id == null) ? (other.id != null) : !this.id.equals(other.id)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 19 * hash + (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    @Override
    public String toString() {
        return id+";"+ name;
    }


    
}
